Description

When loading a hyperspectral image currently qgis will load the first three bands. It would be extremely useful if it could load some default
color schemes like "true color”, or "color infrared".

History

#1 - 2014-06-27 08:45 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to Rasters

#2 - 2014-06-27 10:57 AM - Etienne Tourigny

This would be nice indeed.

It would be better if you give more details about how it should work

1- how to define which bands are "true color" or "color infrared"

2- what to do exactly once these are identified. True color means assign the RGB colors to the right bands right? Now what about color infrared?

#3 - 2014-06-27 11:43 AM - Bryan Karpowicz

| was thinking something similar to what ENVI does where RGB true color maps to R-0.64 um, G-0.55 um, and B-0.47 pm, and CIR maps to R-0.86 pm,

G-0.65 um, and B-0.55 um. If those precise bands aren't available, pick the nearest neighbor.

Use those to start, and maybe add something else in the 0.4-2.5 um as this is typically what most new hyperspectral imagers shoot for.

#4 - 2014-06-27 01:57 PM - Etienne Tourigny

That would require some guessing or metadata to know the wavelength of each band... if you can give some specific information it would be useful.

#5 - 2014-06-27 02:26 PM - Bryan Karpowicz
- File subset.hdr added
- File subset.img added

| was thinking that if you had metadata like exists in a ENVI raster, you could pull that information, interpolate which bands to use, if exists, otherwise just

use bands as it exists now.
#6 - 2014-06-30 02:05 AM - Matthias Kuhn

Keeping the information about the wavelength in the band metadata would also be useful for other things like spectral plots.

#7 - 2014-06-30 07:48 AM - Etienne Tourigny

Bryan - is this only for ENVI datasets? DO you have an exmaple of e.g. GTiff datasets that have wavelength information?

It would be interesting to use this for MODIS and Landsat imagery, although how would we guess the proper bands or even reliably recognize the source

as MODIS or Landsat?

#8 - 2014-06-30 01:45 PM - Bryan Karpowicz

Off the top of my head, | can't think of any data source which has a geotiff with wavelength information embedded in it. Landsat just refers to their's by band

#, and | think MODIS does also. I'm pretty sure you could identify MODIS identifying metadata embedded within the hdf 4 file.

#9 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

Files
subset.hdr 10.8 KB 2014-06-27 Bryan Karpowicz
subset.img 1.71 MB 2014-06-27 Bryan Karpowicz
